using System.Text.Json.Serialization;
using System.Collections.Generic;
using Topsdk.Util;

namespace Topsdk.Top.Ability371.Domain;

public class TaobaoTbkItemInfoUpgradeGetStateSubsidyInfo
{

    /*
        最高优惠比例（%），入参具体IP时，仅展示该IP最高优惠比例。
    */
    private long? maxRebate;


    /*
        最低优惠比例（%），入参具体IP时，仅展示该IP最低优惠比例。
    */
    private long? minRebate;


    /*
        最高优惠金额（元，如15代表15 元），入参具体IP时，仅展示该IP最高优惠金额
    */
    private string? maxDiscount;


    /*
        最低优惠金额（元，如15代表15 元），入参具体IP时，仅展示该IP最低优惠金额
    */
    private string? minDiscount;


    /*
        国补生效区域（省份）。不入参IP时展示各可用省份；入参IP时，全国可用商品展示各可用省份，区域可用商品仅展示IP对应省份。
    */
    private IList<string>? provinceList;



    [JsonPropertyName("max_rebate")]
    public long? MaxRebate
    {
        get => maxRebate;
        set => this.maxRebate = value;
    }

    [JsonPropertyName("min_rebate")]
    public long? MinRebate
    {
        get => minRebate;
        set => this.minRebate = value;
    }

    [JsonPropertyName("max_discount")]
    public string? MaxDiscount
    {
        get => maxDiscount;
        set => this.maxDiscount = value;
    }

    [JsonPropertyName("min_discount")]
    public string? MinDiscount
    {
        get => minDiscount;
        set => this.minDiscount = value;
    }

    [JsonPropertyName("province_list")]
    public IList<string>? ProvinceList
    {
        get => provinceList;
        set => this.provinceList = value;
    }

}

